	$(function() {
		$('.tpl-table-images-content-i').hover(function() {
			//经过
			$(this).find('.tpl-table-images-content-i-info').show();
			$(this).find('img').css('opacity', '0.5');
		}, function() {
			//离开
			$(this).find('.tpl-table-images-content-i-info').hide();
			$(this).find('img').css('opacity', '1');
		});
		$('.btn-update,.btn-add,.btn-remove').on('click', function() {
			var btn = $(this).data('btn');
			switch (btn) {
				case 'remove':
				    var parents = $(this).parents('li');
					$('.am-modal-bd').not('.modal').html('确定要删除该图片吗？');
					$('.am-modal').not('.modal').modal('open');
					//parents.remove();
					break;
				default:
					$('.modal').modal({
						relatedElement: this,
						onConfirm: function() {
							switch (btn) {
								case 'update':
									$('.modal .am-modal-hd').text('更新图片信息');
									break;
								case 'add':
									$('.modal .am-modal-hd').text('新增图片');
									break;
							}
						},
						onCancel: function() { /*点击取消*/ }
					});
					break;
			}

		})
	});